package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterRuleRef;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterRuleRefExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterRuleRefMapper {
    int countByExample(PrinterRuleRefExample example);

    int deleteByExample(PrinterRuleRefExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrinterRuleRef record);

    int insertSelective(PrinterRuleRef record);

    List<PrinterRuleRef> selectByExample(PrinterRuleRefExample example);

    PrinterRuleRef selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrinterRuleRef record, @Param("example") PrinterRuleRefExample example);

    int updateByExample(@Param("record") PrinterRuleRef record, @Param("example") PrinterRuleRefExample example);

    int updateByPrimaryKeySelective(PrinterRuleRef record);

    int updateByPrimaryKey(PrinterRuleRef record);

    void batchInsert(@Param("items") List<PrinterRuleRef> items);
}